## golang-github-smallstep-crypto 0.54.2

=== debian/changelog ===
golang-github-smallstep-crypto (0.54.2-1) unstable; urgency=medium

  * Initial release (Closes: #1087685)

 -- Simon Josefsson <simon@josefsson.org>  Sun, 17 Nov 2024 09:44:12 +0100

## golang-github-smallstep-crypto 0.56.0

=== debian/changelog ===
golang-github-smallstep-crypto (0.56.0-2) unstable; urgency=medium

  * Disable spuriously failing tests.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 15 Jan 2025 01:45:23 +0100

golang-github-smallstep-crypto (0.56.0-1) unstable; urgency=medium

  * New upstream version 0.56.0
  * Bump d/copyright years.
  * d/salsa-ci.yml: Assert autopkg/lintian.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 08 Jan 2025 08:52:28 +0100

=== debian/rules ===
#!/usr/bin/make -f

# This package is needed by 'cosign', but it only needs crypto/jose,
# so exclude things that causes dependency bloat.

# go.step.sm/crypto/kms:
#
# src/go.step.sm/crypto/kms/awskms/awskms.go:13:2: cannot find package "github.com/aws/aws-sdk-go-v2/config" in any of:
# 	/usr/lib/go-1.23/src/github.com/aws/aws-sdk-go-v2/config (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/github.com/aws/aws-sdk-go-v2/config (from $GOPATH)
# src/go.step.sm/crypto/kms/awskms/awskms.go:14:2: cannot find package "github.com/aws/aws-sdk-go-v2/service/kms" in any of:
# 	/usr/lib/go-1.23/src/github.com/aws/aws-sdk-go-v2/service/kms (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/github.com/aws/aws-sdk-go-v2/service/kms (from $GOPATH)
# src/go.step.sm/crypto/kms/awskms/awskms.go:15:2: cannot find package "github.com/aws/aws-sdk-go-v2/service/kms/types" in any of:
# 	/usr/lib/go-1.23/src/github.com/aws/aws-sdk-go-v2/service/kms/types (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/github.com/aws/aws-sdk-go-v2/service/kms/types (from $GOPATH)
# src/go.step.sm/crypto/kms/azurekms/key_vault.go:12:2: cannot find package "github.com/Azure/azure-sdk-for-go/sdk/azcore" in any of:
# 	/usr/lib/go-1.23/src/github.com/Azure/azure-sdk-for-go/sdk/azcore (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/github.com/Azure/azure-sdk-for-go/sdk/azcore (from $GOPATH)
# src/go.step.sm/crypto/kms/azurekms/key_vault.go:13:2: cannot find package "github.com/Azure/azure-sdk-for-go/sdk/azcore/cloud" in any of:
# 	/usr/lib/go-1.23/src/github.com/Azure/azure-sdk-for-go/sdk/azcore/cloud (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/github.com/Azure/azure-sdk-for-go/sdk/azcore/cloud (from $GOPATH)
# src/go.step.sm/crypto/kms/azurekms/key_vault.go:14:2: cannot find package "github.com/Azure/azure-sdk-for-go/sdk/azcore/policy" in any of:
# 	/usr/lib/go-1.23/src/github.com/Azure/azure-sdk-for-go/sdk/azcore/policy (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/github.com/Azure/azure-sdk-for-go/sdk/azcore/policy (from $GOPATH)
# src/go.step.sm/crypto/kms/azurekms/key_vault.go:15:2: cannot find package "github.com/Azure/azure-sdk-for-go/sdk/azidentity" in any of:
# 	/usr/lib/go-1.23/src/github.com/Azure/azure-sdk-for-go/sdk/azidentity (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/github.com/Azure/azure-sdk-for-go/sdk/azidentity (from $GOPATH)
# src/go.step.sm/crypto/kms/azurekms/key_vault.go:16:2: cannot find package "github.com/Azure/azure-sdk-for-go/sdk/keyvault/azkeys" in any of:
# 	/usr/lib/go-1.23/src/github.com/Azure/azure-sdk-for-go/sdk/keyvault/azkeys (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/github.com/Azure/azure-sdk-for-go/sdk/keyvault/azkeys (from $GOPATH)
# src/go.step.sm/crypto/kms/azurekms/internal/mock/key_vault_client.go:12:2: cannot find package "github.com/golang/mock/gomock" in any of:
# 	/usr/lib/go-1.23/src/github.com/golang/mock/gomock (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/github.com/golang/mock/gomock (from $GOPATH)
# src/go.step.sm/crypto/kms/cloudkms/cloudkms.go:18:2: cannot find package "cloud.google.com/go/kms/apiv1" in any of:
# 	/usr/lib/go-1.23/src/cloud.google.com/go/kms/apiv1 (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/cloud.google.com/go/kms/apiv1 (from $GOPATH)
# src/go.step.sm/crypto/kms/cloudkms/cloudkms.go:19:2: cannot find package "cloud.google.com/go/kms/apiv1/kmspb" in any of:
# 	/usr/lib/go-1.23/src/cloud.google.com/go/kms/apiv1/kmspb (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/cloud.google.com/go/kms/apiv1/kmspb (from $GOPATH)
# src/go.step.sm/crypto/kms/cloudkms/cloudkms.go:20:2: cannot find package "github.com/googleapis/gax-go/v2" in any of:
# 	/usr/lib/go-1.23/src/github.com/googleapis/gax-go/v2 (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/github.com/googleapis/gax-go/v2 (from $GOPATH)
# src/go.step.sm/crypto/kms/cloudkms/cloudkms.go:25:2: cannot find package "google.golang.org/api/option" in any of:
# 	/usr/lib/go-1.23/src/google.golang.org/api/option (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/google.golang.org/api/option (from $GOPATH)
# src/go.step.sm/crypto/kms/cloudkms/cloudkms.go:14:2: cannot find package "google.golang.org/grpc/codes" in any of:
# 	/usr/lib/go-1.23/src/google.golang.org/grpc/codes (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/google.golang.org/grpc/codes (from $GOPATH)
# src/go.step.sm/crypto/kms/cloudkms/cloudkms.go:15:2: cannot find package "google.golang.org/grpc/status" in any of:
# 	/usr/lib/go-1.23/src/google.golang.org/grpc/status (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/google.golang.org/grpc/status (from $GOPATH)
# src/go.step.sm/crypto/kms/cloudkms/cloudkms.go:16:2: cannot find package "google.golang.org/protobuf/types/known/durationpb" in any of:
# 	/usr/lib/go-1.23/src/google.golang.org/protobuf/types/known/durationpb (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/google.golang.org/protobuf/types/known/durationpb (from $GOPATH)
# src/go.step.sm/crypto/kms/cloudkms/decrypter.go:12:2: cannot find package "google.golang.org/protobuf/types/known/wrapperspb" in any of:
# 	/usr/lib/go-1.23/src/google.golang.org/protobuf/types/known/wrapperspb (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/google.golang.org/protobuf/types/known/wrapperspb (from $GOPATH)
# src/go.step.sm/crypto/kms/pkcs11/pkcs11.go:19:2: cannot find package "github.com/ThalesIgnite/crypto11" in any of:
# 	/usr/lib/go-1.23/src/github.com/ThalesIgnite/crypto11 (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/github.com/ThalesIgnite/crypto11 (from $GOPATH)
# src/go.step.sm/crypto/tpm/caps.go:8:2: cannot find package "github.com/google/go-tpm/legacy/tpm2" in any of:
# 	/usr/lib/go-1.23/src/github.com/google/go-tpm/legacy/tpm2 (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/github.com/google/go-tpm/legacy/tpm2 (from $GOPATH)
# src/go.step.sm/crypto/tpm/blobs.go:7:2: cannot find package "github.com/google/go-tpm/tpmutil" in any of:
# 	/usr/lib/go-1.23/src/github.com/google/go-tpm/tpmutil (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/github.com/google/go-tpm/tpmutil (from $GOPATH)
# src/go.step.sm/crypto/tpm/ak.go:14:2: cannot find package "github.com/smallstep/go-attestation/attest" in any of:
# 	/usr/lib/go-1.23/src/github.com/smallstep/go-attestation/attest (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/github.com/smallstep/go-attestation/attest (from $GOPATH)
# src/go.step.sm/crypto/tpm/ak.go:15:2: cannot find package "github.com/smallstep/go-attestation/x509" in any of:
# 	/usr/lib/go-1.23/src/github.com/smallstep/go-attestation/x509 (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/github.com/smallstep/go-attestation/x509 (from $GOPATH)
# src/go.step.sm/crypto/tpm/storage/dirstore.go:10:2: cannot find package "github.com/peterbourgon/diskv/v3" in any of:
# 	/usr/lib/go-1.23/src/github.com/peterbourgon/diskv/v3 (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/github.com/peterbourgon/diskv/v3 (from $GOPATH)
# src/go.step.sm/crypto/tpm/storage/filestore.go:10:2: cannot find package "github.com/schollz/jsonstore" in any of:
# 	/usr/lib/go-1.23/src/github.com/schollz/jsonstore (from $GOROOT)
# 	/build/golang-github-smallstep-crypto-0.54.2/_build/src/github.com/schollz/jsonstore (from $GOPATH)
# src/go.step.sm/crypto/kms/yubikey/yubikey.go:19:2: cannot find package "github.com/go-piv/piv-go/v2/piv" in any of:
# 	/usr/lib/go-1.23/src/github.com/go-piv/piv-go/v2/piv (from $GOROOT)

## golang-github-smallstep-crypto 0.70.0

=== Makefile ===
# Set V to 1 for verbose output from the Makefile
Q=$(if $V,,@)
SRC=$(shell find . -type f -name '*.go')

all: lint test

ci: test

.PHONY: all ci

#########################################
# Bootstrapping
#########################################

bootstra%:
	$Q curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $$(go env GOPATH)/bin latest
	$Q go install golang.org/x/vuln/cmd/govulncheck@latest
	$Q go install gotest.tools/gotestsum@latest

.PHONY: bootstrap

#########################################
# Test
#########################################

test: defaulttest simulatortest combinecoverage

defaulttest:
	$Q $(GOFLAGS) gotestsum -- -coverpkg=./... -coverprofile=defaultcoverage.out -covermode=atomic ./...

simulatortest:
	$Q $(GOFLAGS) CGO_ENABLED=1 gotestsum -- -coverpkg=./tpm/...,./kms/tpmkms -coverprofile=simulatorcoverage.out -covermode=atomic -tags tpmsimulator ./tpm ./kms/tpmkms

combinecoverage:
	cat defaultcoverage.out > coverage.out
	tail -n +2 simulatorcoverage.out >> coverage.out

race:
	$Q $(GOFLAGS) gotestsum -- -race ./...

.PHONY: test defaulttest simulatortest combinecoverage race

#########################################
# Linting
#########################################

fmt:
	$Q goimports -l -w $(SRC)

lint: golint govulncheck

golint: SHELL:=/bin/bash
golint:
	$Q LOG_LEVEL=error golangci-lint run --config <(curl -s https://raw.githubusercontent.com/smallstep/workflows/main/.golangci.yml) --timeout=30m

govulncheck:
	$Q govulncheck ./...

.PHONY: fmt lint golint govulncheck

#########################################
# Go generate
#########################################

generate:
	$Q go generate ./...

.PHONY: generate

## golang-github-smallstep-crypto 0.57.0

=== debian/changelog ===
golang-github-smallstep-crypto (0.57.0-2) unstable; urgency=medium

  * Team upload
  * Add missing Breaks/Replace against golang-step-crypto-dev
    (Closes: #1108943)

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 08 Jul 2025 12:23:08 +0000

golang-github-smallstep-crypto (0.57.0-1) unstable; urgency=medium

  * New upstream version 0.57.0
  * Re-enable self-tests to see if upstream fixed it.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 17 Jan 2025 15:05:50 +0100

=== debian/control ===
Source: golang-github-smallstep-crypto
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-filippo-edwards25519-dev,
 golang-github-go-jose-go-jose.v3-dev,
 golang-github-go-piv-piv-go-dev,
 golang-github-masterminds-sprig-dev,
 golang-github-pkg-errors-dev,
 golang-github-smallstep-assert-dev <!nocheck>,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-smallstep-crypto
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-smallstep-crypto.git
Homepage: https://github.com/smallstep/crypto
XS-Go-Import-Path: go.step.sm/crypto

Package: golang-github-smallstep-crypto-dev
Breaks: golang-step-crypto-dev (<= 0.24.0-1)
Replaces: golang-step-crypto-dev (<= 0.24.0-1)
Architecture: all
Multi-Arch: foreign
Depends:
 golang-filippo-edwards25519-dev,
 golang-github-go-jose-go-jose.v3-dev,
 golang-github-go-piv-piv-go-dev,
 golang-github-masterminds-sprig-dev,
 golang-github-pkg-errors-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 ${misc:Depends},
Description: smallstep crypto packages (Go development library)
 Crypto is a collection of packages, including x509util, sshutil, keyutil,
 pemutil, randutil, tlsutil, jose, x25519, minica, kms, fingerprint,
 and tpm.
 .
 This package contains the Go development library.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/smallstep/crypto/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-smallstep-crypto 0.63.0

=== debian/changelog ===
golang-github-smallstep-crypto (0.63.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Apply 0.57.0-2 changes.
  * Run wrap-and-sort -satbk.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 20 Aug 2025 09:08:44 +0200

golang-github-smallstep-crypto (0.63.0-1) experimental; urgency=medium

  * salsa-ci: Build rdeps.
  * Standards-Version: 4.7.2.
  * Use gbp.conf debian-branch = debian/latest.
  * New upstream version 0.63.0
  * Disable cloudkms/nssdb that needs unpackaged build-deps.
  * salsa-ci: Build all rdeps.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 14 May 2025 14:36:40 +0200

=== debian/control ===
--- 
+++ 
@@ -18,15 +18,17 @@
  golang-golang-x-crypto-dev,
  golang-golang-x-net-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-smallstep-crypto
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-smallstep-crypto.git
 Homepage: https://github.com/smallstep/crypto
 XS-Go-Import-Path: go.step.sm/crypto
 
 Package: golang-github-smallstep-crypto-dev
-Breaks: golang-step-crypto-dev (<= 0.24.0-1)
-Replaces: golang-step-crypto-dev (<= 0.24.0-1)
+Breaks:
+ golang-step-crypto-dev (<= 0.24.0-1),
+Replaces:
+ golang-step-crypto-dev (<= 0.24.0-1),
 Architecture: all
 Multi-Arch: foreign
 Depends:

## golang-github-smallstep-crypto 0.70.0

=== debian/changelog ===
golang-github-smallstep-crypto (0.70.0-1) unstable; urgency=medium

  * New upstream version 0.70.0
  * Bump golang-x-crypto version.
  * Use watch v5.
  * Drop Rules-Requires-Root: no.
  * Drop B-D golang-github-smallstep-assert-dev.
  * Improve d/copyright for internal/termutil/termutil.go.
  * Modernize Salsa CI.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 13 Oct 2025 10:22:36 +0200

## golang-github-smallstep-crypto 0.72.0

=== nssdb/Makefile ===
columns:
	go run generate/main.go > columns.go

=== debian/changelog ===
golang-github-smallstep-crypto (0.72.0-1) unstable; urgency=medium

  * New upstream version 0.72.0

 -- Simon Josefsson <simon@josefsson.org>  Sat, 18 Oct 2025 21:39:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Simon Josefsson <simon@josefsson.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
@@ -14,8 +13,7 @@
  golang-github-go-piv-piv-go-dev,
  golang-github-masterminds-sprig-dev,
  golang-github-pkg-errors-dev,
- golang-github-smallstep-assert-dev <!nocheck>,
- golang-golang-x-crypto-dev,
+ golang-golang-x-crypto-dev (>> 1:0.36~),
  golang-golang-x-net-dev,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.2
@@ -37,7 +35,7 @@
  golang-github-go-piv-piv-go-dev,
  golang-github-masterminds-sprig-dev,
  golang-github-pkg-errors-dev,
- golang-golang-x-crypto-dev,
+ golang-golang-x-crypto-dev (>> 1:0.36~),
  golang-golang-x-net-dev,
  ${misc:Depends},
 Description: smallstep crypto packages (Go development library)

=== debian/watch ===
Version: 5
Template: Github
Owner: smallstep
Project: crypto

## golang-github-smallstep-crypto 0.75.0

=== debian/changelog ===
golang-github-smallstep-crypto (0.75.0-2) unstable; urgency=medium

  * Increase test timeout to 25m for riscv64 debci

 -- Simon Josefsson <simon@josefsson.org>  Sun, 14 Dec 2025 21:44:10 +0100

golang-github-smallstep-crypto (0.75.0-1) unstable; urgency=medium

  * New upstream version 0.75.0

 -- Simon Josefsson <simon@josefsson.org>  Mon, 08 Dec 2025 18:16:13 +0100

## golang-github-smallstep-crypto 0.76.0

=== debian/changelog ===
golang-github-smallstep-crypto (0.76.0-1) unstable; urgency=medium

  * Use gbp sign-tags and upstream-vcs-tag
  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * Bump debian/* copyright years

 -- Simon Josefsson <simon@josefsson.org>  Mon, 09 Feb 2026 09:02:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: golang-github-smallstep-crypto
 Section: golang
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Simon Josefsson <simon@josefsson.org>,
@@ -16,7 +15,7 @@
  golang-golang-x-crypto-dev (>> 1:0.36~),
  golang-golang-x-net-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-smallstep-crypto
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-smallstep-crypto.git
 Homepage: https://github.com/smallstep/crypto
